Change after-call work and auto-answer
PATCH
/v1/workspace/contact-center/agent-settings
const url = 'https://api.vocapable.com/v1/workspace/contact-center/agent-settings';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"acw_seconds":1,"acw_extend_seconds":1,"acw_max_extensions":1,"auto_answer_allowed":true,"expected_revision":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.vocapable.com/v1/workspace/contact-center/agent-settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "acw_seconds": 1, "acw_extend_seconds": 1, "acw_max_extensions": 1, "auto_answer_allowed": true, "expected_revision": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ContactCenterAgentSettingsUpdate
Only the fields sent change; acw_seconds: null returns to the product default.
object
Examplegenerated
{ "acw_seconds": 1, "acw_extend_seconds": 1, "acw_max_extensions": 1, "auto_answer_allowed": true, "expected_revision": 1}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ContactCenterAgentSettings
object
contact_center_enabled
required
Contact Center Enabled
boolean
acw_seconds
required
Acw Seconds
integer
default_acw_seconds
required
Default Acw Seconds
integer
acw_extend_seconds
required
Acw Extend Seconds
integer
acw_max_extensions
required
Acw Max Extensions
integer
auto_answer_allowed
required
Auto Answer Allowed
boolean
revision
required
Revision
integer
reason_codes
required
line_overrides
required
Line Overrides
Array<object>
ContactCenterLineAcwobject
phone_number_id
required
Phone Number Id
string
acw_seconds
required
Acw Seconds
integer
revision
required
Revision
integer
Example
{ "reason_codes": [ { "archived": false, "paid": true } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}